Bug 212065 - version.h in kernel-2.6.18-1.2200.fc5 doesn't define UTS_RELEASE
version.h in kernel-2.6.18-1.2200.fc5 doesn't define UTS_RELEASE
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-24 16:15 EDT by Frank Schmitt
Modified: 2015-01-04 17:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 01:36:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Schmitt 2006-10-24 16:15:59 EDT
Description of problem:

/usr/src/kernels/2.6.18-1.2200.fc5-i686/include/linux/version.h doesn't define
UTS_RELEASE

Version-Release number of selected component (if applicable):

kernel-devel-2.6.18-1.2200.fc5

How reproducible:

Always

Steps to Reproduce:

cat /usr/src/kernels/2.6.18-1.2200.fc5-i686/include/linux/version.h

Actual results:

#define LINUX_VERSION_CODE 132626
#define KERNEL_VERSION(a,b,c) (((a) << 16) + ((b) << 8) + (c))

Expected results:

#define UTS_RELEASE "2.6.18-1.2200.fc5"
#define LINUX_VERSION_CODE 132626
#define KERNEL_VERSION(a,b,c) (((a) << 16) + ((b) << 8) + (c))

Additional info:

This breaks build of VMware kernel modules by vmware-config.pl
Comment 1 Dave Jones 2006-10-29 01:36:31 EST
it got moved to utsrelease.h upstream.
this is something vmware need to fix in their module.


Note You need to log in before you can comment on or make changes to this bug.